Get a promotional offer
Promotions
Get a promotional offer
Get a promotional offer by id.
GET
Get a promotional offer
Documentation Index
Fetch the complete documentation index at: /docs/llms.txt
Use this file to discover all available pages before exploring further.
curl --request GET \
--url https://{operatorDomain}/v1/admin/promotions/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"discountPercent": 123,
"discountAmountCents": 123,
"currency": "<string>",
"scope": {
"productIds": [
"<string>"
],
"categoryIds": [
"<string>"
],
"destinationIds": [
"<string>"
],
"marketIds": [
"<string>"
],
"audiences": [],
"fareCodes": [
"<string>"
],
"cabinGradeCodes": [
"<string>"
]
},
"conditions": {
"minPax": 123,
"pastGuestOnly": true,
"soloTravelerOnly": true,
"childTravelerOnly": true,
"familyOnly": true
},
"validFrom": "2023-12-25",
"validUntil": "2023-12-25",
"code": "<string>",
"stackable": true,
"active": true,
"metadata": {}
}
}Get a promotional offer by id.
curl --request GET \
--url https://{operatorDomain}/v1/admin/promotions/{id} \
--header 'Authorization: Bearer <token>'{
"data": {
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"description": "<string>",
"discountPercent": 123,
"discountAmountCents": 123,
"currency": "<string>",
"scope": {
"productIds": [
"<string>"
],
"categoryIds": [
"<string>"
],
"destinationIds": [
"<string>"
],
"marketIds": [
"<string>"
],
"audiences": [],
"fareCodes": [
"<string>"
],
"cabinGradeCodes": [
"<string>"
]
},
"conditions": {
"minPax": 123,
"pastGuestOnly": true,
"soloTravelerOnly": true,
"childTravelerOnly": true,
"familyOnly": true
},
"validFrom": "2023-12-25",
"validUntil": "2023-12-25",
"code": "<string>",
"stackable": true,
"active": true,
"metadata": {}
}
}